Bug 333351 - Pidgin doesn't refresh buddy list after NetworkManager connects
Pidgin doesn't refresh buddy list after NetworkManager connects
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
: 435317 437642 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 21:27 EDT by Chris Snook
Modified: 2008-06-16 22:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Snook 2007-10-15 21:27:57 EDT
Description of problem:
After NetworkManager re-establishes connection (say, after suspend) or after
NetworkManager opens a VPN connection, Pidgin continues displaying the last
buddy state, until some timeout when Pidgin shows the new buddy state (in the
reconnect case) or disconnects (in the VPN case)

Version-Release number of selected component (if applicable):
pidgin-2.2.1-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. set up NetworkManager to manage connections
2. start pidgin, log in
3a. suspend/resume
3b. open a VPN connection with NetworkManager
  
Actual results:
1. Pidgin shows the last buddy state, which may be hours or days out of date,
for several minutes
2a. Pidgin finally refreshes the new buddy state (suspend/resume case)
2b. Pidgin times out all connections (VPN case)
3. In all cases, going offline then online fixes the problem

Expected results:
1. Pidgin disconnects and then reconnects properly, a la Adium on Mac

Additional info:
I'm not sure if the routing change due to VPN is visible to Pidgin or not, but
the suspend/resume case certainly is.  Pidgin should refresh the connection and
the buddy list when it gets a dbus message about a change in NetworkManager
connection state.
Comment 1 Stu Tomlinson 2008-03-11 10:59:51 EDT
*** Bug 435317 has been marked as a duplicate of this bug. ***
Comment 2 Stu Tomlinson 2008-03-15 13:31:19 EDT
*** Bug 437642 has been marked as a duplicate of this bug. ***
Comment 3 Andrea Dell'Amico 2008-04-14 09:12:10 EDT
pidgin-2.4.1-1.fc8 solves the problem, for me. And it doesn't crash anymore.
Comment 4 Bug Zapper 2008-05-14 10:45:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:40:18 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.